Package org.eclipse.birt.report.model.api.command

# Class CssException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.birt.core.exception.BirtException
org.eclipse.birt.report.model.api.ModelException
org.eclipse.birt.report.model.api.activity.SemanticException
org.eclipse.birt.report.model.api.command.CssException

All Implemented Interfaces:
  `Serializable`

public class CssException extends SemanticException
Included css style sheet exception

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DESIGN_EXCEPTION_BADCSSFILE`
Bad css file.
`static final String`
`DESIGN_EXCEPTION_CSS_NOT_FOUND`
Indicates the css is not found in module.
`static final String`
`DESIGN_EXCEPTION_DUPLICATE_CSS`
Indicates the css is using is duplicate.
`static final String`
`DESIGN_EXCEPTION_READONLY`
Read-only style

### Fields inherited from class org.eclipse.birt.report.model.api.activity.SemanticException

`DESIGN_EXCEPTION__EXPORT_ELEMENT_FAIL, element`

### Fields inherited from class org.eclipse.birt.report.model.api.ModelException

`PLUGIN_ID`

### Fields inherited from class org.eclipse.birt.core.exception.BirtException

`CANCEL, ERROR, INFO, oaMessageArguments, OK, pluginId, rb, severity, sResourceKey, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`CssException(org.eclipse.birt.report.model.core.Module module, String[] values, String errCode)`
Constructor.
`CssException(org.eclipse.birt.report.model.core.Module module, IncludedCssStyleSheet styleSheet, String[] values, String errCode)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`IncludedCssStyleSheet`
`getIncludedStyleSheet()`
Gets the included CSS style sheet for this exception.
`String`
`getLocalizedMessage()`

### Methods inherited from class org.eclipse.birt.report.model.api.activity.SemanticException

`getElement, getElementName, getMessage`

### Methods inherited from class org.eclipse.birt.core.exception.BirtException

`getErrorCode, getLocalizedMessage, getPluginId, getSeverity, setSeverity`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DESIGN_EXCEPTION_CSS_NOT_FOUND

public static final String DESIGN_EXCEPTION_CSS_NOT_FOUND
Indicates the css is not found in module.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_DUPLICATE_CSS

public static final String DESIGN_EXCEPTION_DUPLICATE_CSS
Indicates the css is using is duplicate.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_BADCSSFILE

public static final String DESIGN_EXCEPTION_BADCSSFILE
Bad css file.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_READONLY

public static final String DESIGN_EXCEPTION_READONLY
Read-only style

See Also:
  - Constant Field Values

## Constructor Details

### CssException

public CssException(org.eclipse.birt.report.model.core.Module module, String[] values, String errCode)
Constructor.

Parameters:
  `module` - the module which has errors
  `values` - value array used for error message
  `errCode` - the error code

### CssException

public CssException(org.eclipse.birt.report.model.core.Module module, IncludedCssStyleSheet styleSheet, String[] values, String errCode)
Constructor.

Parameters:
  `module` - the module which has errors
  `styleSheet` -
  `values` - value array used for error message
  `errCode` - the error code

## Method Details

### getIncludedStyleSheet

public IncludedCssStyleSheet getIncludedStyleSheet()
Gets the included CSS style sheet for this exception.

Returns:
  included CSS style sheet

### getLocalizedMessage

public String getLocalizedMessage()

Overrides:
  `getLocalizedMessage` in class `SemanticException`